databaseChangeLog:
  - logicalFilePath: db-changelog-000362-recordActions-showInRecordList.yaml
  - changeSet:
      author: appian
      id: 'tag-pre-000362'
      tagDatabase:
        tag: 'pre-000362'
  - changeSet:
      author: appian
      id: '000362.1.0'
      comment: Create new column show_in_record_list
      addColumn:
        tableName: record_list_action_cfg
        column:
          name: show_in_record_list
          type: ${booleanType}
          defaultValueBoolean: 'true'
          valueBoolean: 'true'
          constraints:
            nullable: 'false'

  - changeSet:
      author: appian
      id: '000362.2.0'
      comment: Create new column show_in_record_list
      addColumn:
        tableName: record_related_action_cfg
        column:
          name: show_in_record_list
          type: ${booleanType}
          defaultValueBoolean: 'false'
          valueBoolean: 'false'
          constraints:
            nullable: 'false'
